//
//  ViewController.m
//  UpDataImage
//
//  Created by 王宇 on 16/9/19.
//  Copyright © 2016年 wy. All rights reserved.
//

#import "ViewController.h"
#import "JMUpdataImage.h"
@interface ViewController ()<UIActionSheetDelegate>
@property (nonatomic ,strong)JMUpdataImage *image;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)clickBtn:(id)sender {
    UIActionSheet *sheet = nil;
    //判断设备是否有相机
    if ([UIImagePickerController isSourceTypeAvailable:UIImagePickerControllerSourceTypeCamera]) {
        sheet = [[UIActionSheet alloc] initWithTitle:nil
                                            delegate:self
                                   cancelButtonTitle:@"取消"
                              destructiveButtonTitle:nil
                                   otherButtonTitles:@"拍照", @"从相册选择", nil];
    }else {
        sheet = [[UIActionSheet alloc] initWithTitle:nil
                                            delegate:self
                                   cancelButtonTitle:@"取消"
                              destructiveButtonTitle:nil
                                   otherButtonTitles:@"从相册选择", nil];
    }
    
    UIView *window = [UIApplication sharedApplication].keyWindow;
    [sheet showInView:window];
}
-(JMUpdataImage *)image{
    if (!_image) {
        _image=[[JMUpdataImage alloc]init];
        
    }
    return _image;
}
-(void)actionSheet:(UIActionSheet *)actionSheet clickedButtonAtIndex:(NSInteger)buttonIndex{
    NSString *title = [actionSheet buttonTitleAtIndex:buttonIndex];
    if ([title isEqualToString:@"拍照"]) {
        //拍照上传
        [self.image camera:self];
        __weak typeof(self) welfself=self;
        self.image.callBackImage = ^(NSString *data,UIImage *img){
            welfself.imgView.image=img;
            
        };
    }else if ([title isEqualToString:@"从相册选择"]) {
        //从相册中获取
        [self.image updateLogo:self];
        __weak typeof(self) welfself=self;
        self.image.callBackImage = ^(NSString *data,UIImage *img){
            welfself.imgView.image=img;
            
        };
        
    }
}

@end
